# clusters/atlas/flux-system/applications/pegasus/image-automation.yaml
apiVersion: image.toolkit.fluxcd.io/v1
kind: ImageUpdateAutomation
metadata:
  name: pegasus
  namespace: jellyfin
spec:
  interval: 1m0s
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  git:
    checkout:
      ref:
        branch: feature/ci-gitops
    commit:
      author:
        email: ops@bstein.dev
        name: flux-bot
      messageTemplate: "chore(pegasus): apply image updates"
    push:
      branch: feature/ci-gitops
  update:
    strategy: Setters
    path: services/pegasus
